OrthogonalProjections Class Reference

`#include <ql/math/matrixutilities/basisincompleteordered.hpp>`

## Public Member Functions

| OrthogonalProjections (const Matrix &originalVectors, Real multiplierCutOff, Real tolerance)
const std::valarray< bool > & | validVectors () const
const std::vector< Real > & | GetVector (Size index) const
Size | numberValidVectors () const

## Detailed Description

Given a collection of vectors, w_i, find a collection of vectors x_i such that x_i is orthogonal to w_j for i != j, and <x_i, w_i> = <w_i, w_i>

This is done by performing GramSchmidt on the other vectors and then projecting onto the orthogonal space.

This class is tested in

    MatricesTest::testOrthogonalProjection();